"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("@babel/polyfill");

var _jsdom = require("jsdom");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var SGPC_URL = 'http://old.sgpc.net/hukumnama/sgpconlinehukamnama.asp';

var hukamnama =
/*#__PURE__*/
function () {
  var _ref = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee() {
    var dom, document, cleanTable, tables, _tables, gurbani, gurbaniAng, punjabi, english, englishAng;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return _jsdom.JSDOM.fromURL(SGPC_URL);

          case 2:
            dom = _context.sent;
            document = dom.window.document;
            _context.prev = 4;

            cleanTable = function cleanTable(table) {
              return table.textContent.replace(/[\t\r\n]/g, '').trim();
            };

            tables = _toConsumableArray(document.querySelectorAll('table')).splice(1).map(cleanTable);
            _tables = _slicedToArray(tables, 5), gurbani = _tables[0], gurbaniAng = _tables[1], punjabi = _tables[2], english = _tables[3], englishAng = _tables[4];
            return _context.abrupt("return", {
              content: tables.join('\n'),
              gurbani: gurbani,
              punjabi: punjabi,
              english: english,
              ang: parseInt(/Page[ ]*:[ ]*([\d ]+)/.exec(englishAng)[1], 10),
              date: document.querySelector('font[face="Georgia, Times New Roman, Times, serif"]').textContent.trim().slice(1, -1),
              url: SGPC_URL
            });

          case 11:
            _context.prev = 11;
            _context.t0 = _context["catch"](4);
            throw _context.t0;

          case 14:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this, [[4, 11]]);
  }));

  return function hukamnama() {
    return _ref.apply(this, arguments);
  };
}();

var _default = hukamnama;
exports.default = _default;
